Subject: bug#12117: read-passwd deletes prompt

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Aug 2012 11:08:31 -0400

>> Hmm... I guess the problem is even more general: any minibuffer input
>> during insert-file-contents will suffer from it (granted, there usually
>> isn't much minibuffer input during such calls, luckily).
>> Maybe read-from-minibuffer should let-bind inhibit-read-only to nil?
>> That sounds ugly, tho.
> Since there is not much minibuffer input during insert-file-contents
> (one is known at the moment) then perhaps it would be safer to fix
> just these places specific to insert-file-contents:

No, I'd rather fix it in read-from-minibuffer than in just those
specific cases we bump into.

I think the "right" fix might be to make inhibit-read-only
buffer-local.  But I fear some code relies on it being global, so it
might introduce bugs.

        Stefan